#
# spec file for package libtermkey
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 1
Name:           libtermkey
Version:        0.18
Release:        lp150.1.3
Summary:        Library for easy processing of keyboard entry from terminal-based programs
License:        MIT
Group:          System/Libraries
Url:            http://www.leonerd.org.uk/code/libtermkey/
Source:         http://www.leonerd.org.uk/code/libtermkey/libtermkey-%{version}.tar.gz
Patch0:         fix-syntax.patch
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig

%description
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognise special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{name}%{soname}
Summary:        Library for easy processing of keyboard entry from terminal-based programs
Group:          System/Libraries

%description -n %{name}%{soname}
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognise special keys, UTF-8
combining, and so on, with a simple interface.

%package devel
Summary:        Library for easy processing of keyboard entry from terminal-based programs
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}
Requires:       ncurses-devel
Requires:       pkgconfig

%description devel
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognise special keys, UTF-8
combining, and so on, with a simple interface.

%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} \
    CFLAGS="%{optflags}" \
    PREFIX="%{_prefix}" \
    LIBDIR="%{_libdir}" \
    INCDIR="%{_includedir}" \
    MANDIR="%{_mandir}"

%install
make \
    CFLAGS="%{optflags}" \
    PREFIX="%{_prefix}" \
    LIBDIR="%{_libdir}" \
    INCDIR="%{_includedir}" \
    MANDIR="%{_mandir}" \
    DESTDIR=%{buildroot} \
    install

# Remove unneeded files.
find %{buildroot} -type f -name "*.la" -delete -print
find %{buildroot} -type f -name "*.a"  -delete -print

%post   -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libtermkey.so.%{soname}
%{_libdir}/libtermkey.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_includedir}/termkey.h
%{_libdir}/libtermkey.so
%{_libdir}/pkgconfig/termkey.pc
%{_mandir}/man3/termkey*.3%{ext_man}
%{_mandir}/man7/termkey.*

%changelog
* Fri Jan 22 2016 ronisbr@gmail.com
- Remove the static library as per dimstar request.
* Thu Jan 21 2016 ronisbr@gmail.com
- Move LICENSE file to %%{name}%%{soname} package as per namtrac
  request.
* Wed Jan 20 2016 ronisbr@gmail.com
- Add LICENSE file as per babelworx request.
- Clean spec file.
* Sun Nov  1 2015 rpm@fthiessen.de
- Update to 0.18
  * look for .utf8 in locale variables
  * C++-compatible header
  * don't treat Ctrl-H as Backspace
  * disable IEXTEN where applicable
- Removed now unneeded libtermkey-libncurses.patch
* Mon May 18 2015 coolo@suse.com
- update to 0.17
  - added TERMKEY_FORMAT_SPACEMOD, TERMKEY_FORMAT_LOWERMOD, TERMKEY_FORMAT_LOWERSPACE and TERMKEY_FORMAT_URWID shortcut; better detection of UTF-8 locales; abstract C compiler from Makefile by using $(CC).
  - changes: recognise ANSI and DEC mode reports, extract and yield real key events for unrecognised CSI sequences; added termkey_interpret_{modereport,csi}; bugfix handling of CPR vs F3.
  - recognise SGR and rxvt mouse encodings, recognise cursor position report - (0.15a includes position report bugfix; 0.15b includes 'make install' portability fix)
  - added termkey_{start,stop}, termkey_is_started, ship unit tests in distribution tarball for downstream to use
  - added termkey_new_abstract, termkey_{get,set}_buffer_size, use errno rather than fprintf() to stderr, optionally use libncursesw if unibilium fails
  - added termkey_push_bytes, support filehandle-less (abstract) instances, many manpage improvements
  - optionally use unibilium instead of curses
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Wed Sep  7 2011 pascal.bleser@opensuse.org
- update to 0.10
- added libtermkey-libncurses.patch
* Mon Apr 11 2011 pascal.bleser@opensuse.org
- update to 0.7
* Thu Mar 24 2011 pascal.bleser@opensuse.org
- initial version (0.6)
